package com.sf._02_hashmap.demo1;

import java.util.HashMap;

public class Test {
    public static void main(String[] args) {
        String str = "ABCDEFABCDEABCDABCABA";
        // 1 把字符串转成字符数组 toCharArray
        char[] chars = str.toCharArray();
        // 2 HashMap<Character,Integer> map
        HashMap<Character,Integer> map = new HashMap<>();
        // 3 遍历字符数组
        for (char ch : chars) {
            // 4 在遍历的过程中map 判断key 是否存在
            if(!map.containsKey(ch)){
                //   4.1 如果不存在就put(ch,1);
                map.put(ch,1);
            }else{
                //   4.2 如果存在就put(ch,value+1)
                map.put(ch,map.get(ch)+1);
            }
        }
        System.out.println(map);
    }
}
